import { z } from 'zod';
export type RecordData = z.infer<typeof data>;
export type RecordQuery = z.infer<typeof query>;
export type RecordTemplate = z.infer<typeof template>;
declare const query: z.ZodObject<{
    type: z.ZodEnum<["data", "profile", "script", "term"]>;
    label: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "data" | "profile" | "script" | "term";
    label: string;
}, {
    type: "data" | "profile" | "script" | "term";
    label: string;
}>;
declare const template: z.ZodObject<{
    type: z.ZodEnum<["data", "profile", "script", "term"]>;
    label: z.ZodString;
    content: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    type: "data" | "profile" | "script" | "term";
    label: string;
    content: string[];
}, {
    type: "data" | "profile" | "script" | "term";
    label: string;
    content: string[];
}>;
declare const data: z.ZodObject<{
    type: z.ZodEnum<["data", "profile", "script", "term"]>;
    label: z.ZodString;
    content: z.ZodArray<z.ZodString, "many">;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    type: "data" | "profile" | "script" | "term";
    pubkey: string;
    label: string;
    content: string[];
    updated_at: Date;
}, {
    type: "data" | "profile" | "script" | "term";
    pubkey: string;
    label: string;
    content: string[];
    updated_at: Date;
}>;
export declare const RecordSchema: {
    query: z.ZodObject<{
        type: z.ZodEnum<["data", "profile", "script", "term"]>;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "data" | "profile" | "script" | "term";
        label: string;
    }, {
        type: "data" | "profile" | "script" | "term";
        label: string;
    }>;
    template: z.ZodObject<{
        type: z.ZodEnum<["data", "profile", "script", "term"]>;
        label: z.ZodString;
        content: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        type: "data" | "profile" | "script" | "term";
        label: string;
        content: string[];
    }, {
        type: "data" | "profile" | "script" | "term";
        label: string;
        content: string[];
    }>;
    data: z.ZodObject<{
        type: z.ZodEnum<["data", "profile", "script", "term"]>;
        label: z.ZodString;
        content: z.ZodArray<z.ZodString, "many">;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        type: "data" | "profile" | "script" | "term";
        pubkey: string;
        label: string;
        content: string[];
        updated_at: Date;
    }, {
        type: "data" | "profile" | "script" | "term";
        pubkey: string;
        label: string;
        content: string[];
        updated_at: Date;
    }>;
};
export {};
//# sourceMappingURL=record.d.ts.map